Name:		HEP_OSlibs_SL6
Version:	1.0.19
Release:	0%{?dist}
Summary:	HEP OS dependencies for SL6 x86_64
Group:  	System/Middleware
License:	Open Source
ExclusiveArch:  x86_64

Requires: alsa-lib(x86-32), alsa-lib(x86-64)

Requires: alsa-lib-devel(x86-64)
Requires: atlas(x86-64)
Requires: atlas-devel(x86-64)

Requires: audit-libs(x86-32), audit-libs(x86-64)

Requires: autoconf
Requires: automake

Requires: bind-utils(x86-64)

Requires: bzip2-devel(x86-32), bzip2-devel(x86-64)
Requires: bzip2-libs(x86-32), bzip2-libs(x86-64)
Requires: compat-db42(x86-32), compat-db42(x86-64)
Requires: compat-db43(x86-32), compat-db43(x86-64)
Requires: compat-db(x86-32), compat-db(x86-64)
Requires: compat-expat1(x86-32), compat-expat1(x86-64)

Requires: compat-glibc(x86-64)
Requires: compat-glibc-headers(x86-64)

Requires: compat-libf2c-34(x86-32), compat-libf2c-34(x86-64)
Requires: compat-libgfortran-41(x86-32), compat-libgfortran-41(x86-64)
Requires: compat-libstdc++-33(x86-32), compat-libstdc++-33(x86-64)
Requires: compat-libtermcap(x86-32), compat-libtermcap(x86-64)
Requires: compat-openldap(x86-32), compat-openldap(x86-64)
Requires: compat-readline5(x86-32), compat-readline5(x86-64)
Requires: cracklib(x86-32), cracklib(x86-64)
Requires: cyrus-sasl-lib(x86-32), cyrus-sasl-lib(x86-64)
Requires: db4(x86-32), db4(x86-64)

Requires: db4-cxx(x86-64)
Requires: dbus(x86-64)
Requires: dbus-devel(x86-64)
Requires: device-mapper(x86-64)

Requires: e2fsprogs-libs(x86-32), e2fsprogs-libs(x86-64)
Requires: expat(x86-32), expat(x86-64)
Requires: fontconfig(x86-32), fontconfig(x86-64)
Requires: freetype(x86-32), freetype(x86-64)
Requires: freetype-devel(x86-32), freetype-devel(x86-64)
Requires: gamin(x86-32), gamin(x86-64)

Requires: gcc-c++(x86-64)

Requires: gdbm(x86-32), gdbm(x86-64)
Requires: giflib(x86-32), giflib(x86-64)

Requires: glib-devel(x86-64)

Requires: glib2(x86-32), glib2(x86-64)

Requires: glib2-devel(x86-64)

Requires: glibc(x86-32), glibc(x86-64)
Requires: glibc-devel(x86-32), glibc-devel(x86-64)

Requires: glibmm24(x86-64)

Requires: gmp(x86-32), gmp(x86-64)

Requires: gperf(x86-64)

Requires: keyutils-libs(x86-32), keyutils-libs(x86-64)

Requires: krb5-devel(x86-64)

Requires: krb5-libs(x86-32), krb5-libs(x86-64)
Requires: libICE(x86-32), libICE(x86-64)
Requires: libSM(x86-32), libSM(x86-64)
Requires: libX11(x86-32), libX11(x86-64)
Requires: libX11-devel(x86-32), libX11-devel(x86-64)
Requires: libXau(x86-32), libXau(x86-64)
Requires: libXau-devel(x86-32), libXau-devel(x86-64)

Requires: libXcomposite(x86-64)
Requires: libXcomposite-devel(x86-64)

Requires: libXcursor(x86-32), libXcursor(x86-64)

Requires: libXcursor-devel(x86-64)

Requires: libXdamage(x86-32), libXdamage(x86-64)
Requires: libXdamage-devel(x86-32), libXdamage-devel(x86-64)
Requires: libXdmcp(x86-32), libXdmcp(x86-64)
Requires: libXdmcp-devel(x86-32), libXdmcp-devel(x86-64)
Requires: libXext(x86-32), libXext(x86-64)
Requires: libXext-devel(x86-32), libXext-devel(x86-64)
Requires: libXfixes(x86-32), libXfixes(x86-64)
Requires: libXfixes-devel(x86-32), libXfixes-devel(x86-64)
Requires: libXft(x86-32), libXft(x86-64)

Requires: libXft-devel(x86-64)

Requires: libXinerama(x86-32), libXinerama(x86-64)
Requires: libXi(x86-32), libXi(x86-64)

Requires: libXi-devel(x86-64)

Requires: libXmu(x86-32), libXmu(x86-64)
Requires: libXpm(x86-32), libXpm(x86-64)

Requires: libXpm-devel(x86-64)

Requires: libXp(x86-32), libXp(x86-64)
Requires: libXrandr(x86-32), libXrandr(x86-64)

Requires: libXrandr-devel(x86-64)

Requires: libXrender(x86-32), libXrender(x86-64)

Requires: libXScrnSaver(x86-64)
Requires: libXScrnSaver-devel(x86-64)

Requires: libXtst(x86-32), libXtst(x86-64)

Requires: libXtst-devel(x86-64)

Requires: libXt(x86-32), libXt(x86-64)
Requires: libXxf86vm(x86-32), libXxf86vm(x86-64)
Requires: libXxf86vm-devel(x86-32), libXxf86vm-devel(x86-64)
Requires: libaio(x86-32), libaio(x86-64)
Requires: libdrm(x86-32), libdrm(x86-64)

Requires: libcap(x86-64)
Requires: libcap-devel(x86-64)
Requires: libcap-ng-devel(x86-64)

Requires: libdrm-devel(x86-32), libdrm-devel(x86-64)
Requires: libgcc(x86-32), libgcc(x86-64)
Requires: libgfortran(x86-32), libgfortran(x86-64)
Requires: libidn(x86-32), libidn(x86-64)
Requires: libjpeg-turbo(x86-32), libjpeg-turbo(x86-64)
Requires: libpciaccess(x86-32), libpciaccess(x86-64)
Requires: libpng(x86-32), libpng(x86-64)
Requires: libpng-devel(x86-32), libpng-devel(x86-64)
Requires: libselinux(x86-32), libselinux(x86-64)
Requires: libsepol(x86-32), libsepol(x86-64)

Requires: libsigc++20(x86-64)

Requires: libstdc++(x86-32), libstdc++(x86-64)
Requires: libtiff(x86-32), libtiff(x86-64)

Requires: libtool(x86-64)

Requires: libtool-ltdl(x86-32), libtool-ltdl(x86-64)
Requires: libuuid(x86-32), libuuid(x86-64)
Requires: libuuid-devel(x86-32), libuuid-devel(x86-64)

Requires: libxcb(x86-32), libxcb(x86-64)
Requires: libxcb-devel(x86-32), libxcb-devel(x86-64)
Requires: libxml2(x86-32), libxml2(x86-64)
Requires: libxml2-devel(x86-32), libxml2-devel(x86-64)

Requires: libxshmfence(x86-64)
Requires: libxslt(x86-64)
Requires: mesa-dri1-drivers(x86-64)

Requires: mesa-dri-drivers(x86-32), mesa-dri-drivers(x86-64)
Requires: mesa-dri-filesystem(x86-32), mesa-dri-filesystem(x86-64)

Requires: mesa-libEGL(x86-64)
Requires: mesa-libEGL-devel(x86-64)

Requires: mesa-libGLU(x86-32), mesa-libGLU(x86-64)
Requires: mesa-libGLU-devel(x86-32), mesa-libGLU-devel(x86-64)
Requires: mesa-libGL(x86-32), mesa-libGL(x86-64)
Requires: mesa-libGL-devel(x86-32), mesa-libGL-devel(x86-64)

Requires: ncurses(x86-64)

Requires: ncurses-devel(x86-32), ncurses-devel(x86-64)
Requires: ncurses-libs(x86-32), ncurses-libs(x86-64)
Requires: nspr(x86-32), nspr(x86-64)
Requires: nss(x86-32), nss(x86-64)
Requires: nss-softokn(x86-32), nss-softokn(x86-64)
Requires: nss-util(x86-32), nss-util(x86-64)
Requires: openldap(x86-32), openldap(x86-64)
Requires: openmotif22(x86-32), openmotif22(x86-64)
Requires: openmotif(x86-32), openmotif(x86-64)
Requires: openssl098e(x86-32), openssl098e(x86-64)
Requires: openssl(x86-32), openssl(x86-64)
Requires: pam(x86-32), pam(x86-64)

Requires: pciutils(x86-64)
Requires: pciutils-devel(x86-64)
Requires: perl-CGI(x86-64)
Requires: perl-ExtUtils-Embed(x86-64)
Requires: procmail(x86-64)

Requires: readline(x86-32), readline(x86-64)

Requires: redhat-lsb-core(x86-64)

Requires: sqlite(x86-32), sqlite(x86-64)

Requires: tar(x86-64)

Requires: tcl(x86-32), tcl(x86-64)

Requires: tcsh(x86-64)

Requires: tk(x86-32), tk(x86-64)

Requires: which(x86-64)

Requires: xcb-proto
Requires: xkeyboard-config
Requires: xorg-x11-proto-devel
Requires: xorg-x11-xtrans-devel

Requires: zlib(x86-32), zlib(x86-64)
Requires: zlib-devel(x86-32), zlib-devel(x86-64)

Requires: zsh(x86-64)

%description
This rpm captures the OS dependencies of the LHC experiment applications
on SL6/x86_64. The package has been put together with the help of the LCG 
Application Area and aims to cover the dependencies of all 4 experiments.
This SL6 version comes from the analogous metapackage for SL5. Credits go
to the producers/maintainers of that metapackage.

%files
%defattr(-,root,root,-)
%doc

%changelog

* Mon Jun 19 2017 Andrea Valassi 1.0.19-0
Add more dependencies needed by EP-SFT to build libQtWebEngine:
alsa-lib-devel, dbus-devel, glib-devel, glib2-devel, libcap-devel,
libcap-ng-devel, libXcomposite-devel, libXcursor-devel, libXi-devel,
libXrandr-devel, libXScrnSaver-devel, libXtst-devel, mesa-libEGL,
mesa-libEGL-devel, pciutils-devel. 

* Mon Jun 12 2017 Andrea Valassi 1.0.18-0
Add several dependencies needed to build libQtWebEngine, as requested by 
LHCb (libXcomposite, libXScrnSaver, pciutils, xcb-proto, xkeyboard-config, 
xorg-x11-xtrans-devel, gperf); explicitly add also some dependencies that
were already implicitly included (libxshmfence, dbus, libcap).
Add redhat-lsb-core as requested by ALICE. 

* Fri Jun 09 2017 Andrea Valassi 1.0.17-1
Restructure the spec file while keeping the same contents.
Split dependencies into individual "Requires" lines and reorder alphabetically.
__NB: from this moment onwards, only 64bit packages will be added.__

* Mon Mar 13 2017 Andrea Valassi 1.0.17-0
Add 64bit atlas and atlas-devel for MC jobs of the ATLAS experiment.

* Sat Feb 22 2014 Andrea Valassi 1.0.16-0
Add which and tar (included in SLC6 but missing in SL6). 

* Wed Jan 29 2014 Andrea Valassi 1.0.15-0
Add libXpm-devel, libXft-devel and krb5-devel (over SLC6.5).

* Tue Dec 10 2013 Fabrizio Furano and Andrea Valassi 1.0.14-0
Remove kernel-headers (to avoid conflicts with kernel-ml-headers).

* Tue Oct 08 2013 Fabrizio Furano and Andrea Valassi 1.0.13-0
Add zlib-devel (included in SLC6 but missing in SL6). 
Add arcproxy OS dependencies (db4-cxx, glibmm24, libsigc++20, libxslt).

* Fri Aug 16 2013 Fabrizio Furano and Andrea Valassi 1.0.12-0
Add gcc-c++ (included in SLC6 but missing in SL6).

* Wed Jul 24 2013 Fabrizio Furano and Andrea Valassi 1.0.11-0
Add libuuid-devel.

* Tue Jun 04 2013 Fabrizio Furano and Andrea Valassi 1.0.10-0
Add bind-utils (included in SLC6 but missing in SL6).

* Thu Apr 25 2013 Fabrizio Furano and Andrea Valassi 1.0.9-0
Remove zlib-devel (added by mistake).
Add bzip2-devel (missing in SL6 and SLC6).

* Thu Apr 25 2013 Fabrizio Furano and Andrea Valassi 1.0.8-0
Add zlib-devel (included in SLC6 but missing in SL6).

* Sat Mar 23 2013 Fabrizio Furano and Andrea Valassi 1.0.7-0
Add autoconf, automake and libtool (included in SLC6 but missing in SL6).

* Thu Mar 21 2013 Fabrizio Furano and Andrea Valassi 1.0.6-0
Remove all castor dependencies.

* Mon Mar 11 2013 Fabrizio Furano and Andrea Valassi 1.0.5-0
Fix dependencies for the latest SLC6.4.
Add libpciaccess (needed by libdrm). Replace libjpeg by libjpeg-turbo.
Add mesa-dri-filesystem and mesa-dri1-drivers (needed by mesa-dri-drivers).

* Tue Jan 29 2013 Fabrizio Furano and Andrea Valassi 1.0.4-0
Add procmail (included in SLC6 but missing in SL6). Set ExclusiveArch x86_64.

* Fri Jan 25 2013 Fabrizio Furano and Andrea Valassi 1.0.3-0
Add perl-CGI. Add tcsh and zsh (included in SLC6 but missing in SL6).

* Wed Jan 16 2013 Fabrizio Furano and Andrea Valassi 1.0.2-0
Add libtool-ltdl.

* Sun Dec 30 2012 Fabrizio Furano and Andrea Valassi 1.0.1-0
Add perl-ExtUtils-Embed.

* Thu Dec 20 2012 Fabrizio Furano and Andrea Valassi 1.0.0-0
Initial release.
